#!/bin/bash

# script for executing benchmark for hashtable

# create/clear benchmark subdirectory
mkdir -p hashtable
rm -rf hashtable/*

# copy raw files to correct location
cp /home/kreft/benchmark/benchmarks/fill_hash_sqlite ./fill.txt
cp /home/kreft/benchmark/benchmarks/mixed_hash_sqlite ./mixed.txt

echo "Executing hashtable benchmark"
for run in 1 2 3 4 5
do
  echo "Executing run $run"
	cat benchmark_run.txt | ../sqlite_binary ":memory:" >> ./hashtable/messung.txt
	echo "Executing run $run with index"
	cat benchmark_run_index.txt | ../sqlite_binary ":memory:" >> ./hashtable/messung_index.txt
done